---
title: "Searches Outlets by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-outlets"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Outlets by parameters

`GET` `/outlets`

Operation ID: `get-outlets`

Searches Outlets by parameters

## Query parameters

- `enabled` (boolean, optional) - Enabled flag.
- `id` (integer, int32, optional) - Outlet Id. Other properties are skipped, if used
- `modified_since` (string, date-time, optional) - Modified since
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns Outlets
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /outlets:
    get:
      tags:
        - outlets
      summary: Searches Outlets by parameters
      description: Searches Outlets by parameters
      operationId: get-outlets
      parameters:
        - name: enabled
          in: query
          description: Enabled flag.
          schema:
            type: boolean
            description: Enabled flag.
            nullable: true
        - name: id
          in: query
          description: Outlet Id. Other properties are skipped, if used
          schema:
            type: integer
            description: Outlet Id. Other properties are skipped, if used
            format: int32
            nullable: true
        - name: modified_since
          in: query
          description: Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns Outlets
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Outlet.PagingResponse"
              example:
                data:
                  - id: 0
                    name: string
                    external_reference: string
                    enabled: true
                    company_name: string
                    company_registration_number: string
                    company_registration_label: string
                    billing_type: 0
                    fob_currency:
                      id: 0
                      currency_code: string
                      currency_name: string
                    store_type:
                      id: 0
                      name: string
                    address:
                      address_line1: string
                      address_line2: string
                      address_line3: string
                      suburb: string
                      state: string
                      postcode: string
                      country:
                        id: 0
                        name: string
                    phone: string
                    fax: string
                    email: string
                    bank_details:
                      bank_name: string
                      bsb: string
                      account_number: string
                      account_name: string
                    default_source_outlet:
                      id: 0
                      name: string
                    default_fulfil_outlet:
                      id: 0
                      name: string
                    minimum_replenishment_quantity: 0
                    logo:
                      id: 0
                      description: string
                    invoice_email_template:
                      id: 0
                      name: string
                    invoice_receipt_comments: string
                    display_address_on_invoice: true
                    purchase_order_comments: string
                    modified_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Outlet.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/Outlet"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Outlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        external_reference:
          maxLength: 30
          minLength: 0
          type: string
          description: External outlet code
          nullable: true
        enabled:
          type: boolean
          description: Enabled
        company_name:
          maxLength: 100
          minLength: 0
          type: string
          description: Company
          nullable: true
        company_registration_number:
          maxLength: 50
          minLength: 0
          type: string
          description: Company registration number
          nullable: true
        company_registration_label:
          maxLength: 15
          minLength: 0
          type: string
          description: Company registration label
          nullable: true
        billing_type:
          type: integer
          description: Billing type
          format: int32
          nullable: true
        fob_currency:
          $ref: "#/components/schemas/CurrencyLimited"
        store_type:
          $ref: "#/components/schemas/StoreType"
        address:
          $ref: "#/components/schemas/OutletAddress"
        phone:
          maxLength: 50
          minLength: 0
          type: string
          description: Phone
          nullable: true
        fax:
          maxLength: 50
          minLength: 0
          type: string
          description: Fax
          nullable: true
        email:
          maxLength: 50
          minLength: 0
          type: string
          description: Email
          nullable: true
        bank_details:
          $ref: "#/components/schemas/OutletBankDetails"
        default_source_outlet:
          $ref: "#/components/schemas/OutletLimited"
        default_fulfil_outlet:
          $ref: "#/components/schemas/OutletLimited"
        minimum_replenishment_quantity:
          maximum: 2147483647
          minimum: 0
          type: integer
          description: Minimum replenishment quantity
          format: int32
          nullable: true
        logo:
          $ref: "#/components/schemas/LogoLimited"
        invoice_email_template:
          $ref: "#/components/schemas/OutletEmailFromTemplate"
        invoice_receipt_comments:
          maxLength: 8000
          minLength: 0
          pattern: ^(?!.*<[^>]+>).*
          type: string
          description: Invoice receipt comments
          nullable: true
        display_address_on_invoice:
          type: boolean
          description: Display address on invoice
        purchase_order_comments:
          maxLength: 8000
          minLength: 0
          pattern: ^(?!.*<[^>]+>).*
          type: string
          description: Purchase order comments
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Outlet model
    CurrencyLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Currency Id
          format: int32
          nullable: true
        currency_code:
          type: string
          description: Currency Code
          nullable: true
        currency_name:
          type: string
          description: Currency Name
          nullable: true
      additionalProperties: false
    StoreType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
          nullable: true
        name:
          type: string
          description: Store type name
          nullable: true
      additionalProperties: false
      description: Sore type model
    OutletAddress:
      title: ""
      type: object
      properties:
        address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Adress
          nullable: true
        address_line2:
          maxLength: 100
          minLength: 0
          type: string
          description: Adress2
          nullable: true
        address_line3:
          maxLength: 100
          minLength: 0
          type: string
          description: Adress3
          nullable: true
        suburb:
          maxLength: 100
          minLength: 0
          type: string
          description: Suburb
          nullable: true
        state:
          maxLength: 50
          minLength: 0
          type: string
          description: State
          nullable: true
        postcode:
          maxLength: 10
          minLength: 0
          type: string
          description: Postcode
          nullable: true
        country:
          $ref: "#/components/schemas/CountryLimited"
      additionalProperties: false
      description: Outlet address model
    OutletBankDetails:
      title: ""
      type: object
      properties:
        bank_name:
          maxLength: 128
          minLength: 0
          type: string
          description: Bank name
          nullable: true
        bsb:
          maxLength: 16
          minLength: 0
          type: string
          description: Bank bsb
          nullable: true
        account_number:
          maxLength: 32
          minLength: 0
          type: string
          description: Account number
          nullable: true
        account_name:
          maxLength: 128
          minLength: 0
          type: string
          description: Account name
          nullable: true
      additionalProperties: false
      description: Outlet bank details model
    OutletLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
      additionalProperties: false
    LogoLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
          nullable: true
        description:
          type: string
          description: Logo description
          nullable: true
      additionalProperties: false
    OutletEmailFromTemplate:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
          nullable: true
        name:
          type: string
          description: Email from template name
          nullable: true
      additionalProperties: false
      description: Outlet email from template model
    CountryLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int32
          nullable: true
        name:
          type: string
          description: name
          nullable: true
      additionalProperties: false
```
